/*
 * This class file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType3.multirefac;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Platform;
import org.eclipse.core.runtime.Status;

/**
 * Logging.
 * 
 * $Date: 2007/07/28 12:12:55 $Author: kegel $Revision: 1.1 $
 * @author Philip Mayer
 */
public class ILog {

	private static final String PLUGIN_NAME = "InferType3MultiRefac";
	private static boolean loggingEnabled;

	static {
		loggingEnabled = "true".equalsIgnoreCase(Platform.getDebugOption("org.intoJ.inferType3.multirefac/trace/multirefac"));

		informUserAboutTracing(PLUGIN_NAME, loggingEnabled);
	}

	private static void informUserAboutTracing(String which, boolean tracingEnabled) {

		if (tracingEnabled)
			System.out.println("Enabled logging for " + which);
		else
			System.out.println("No logging support for " + which);
	}

	public static void logError(String message, Throwable t) {

		Activator.getDefault().getLog().log(new Status(IStatus.ERROR, Activator.getDefault().getBundle().getSymbolicName(), 0, message, t));
	}

	public static void log(int level, String msg) {

		if (loggingEnabled) {

			StringBuffer b = new StringBuffer();
			for (int i = 0; i < level; i++) {
				b.append("  ");
			}
			System.out.println(PLUGIN_NAME + " :: " + b.toString() + msg);
		}
	}

}
