/**
 * 
 */
package org.intoJ.inferType3.multirefac;

import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Shell;

/**
 * @author hannes
 *
 */
public class StartDialog extends MessageDialog {
    
    private boolean changeTypeArgs = true;
    private boolean noAbstractClasses = false;

    public boolean isChangeTypeArgs() {
        return changeTypeArgs;
    }

    public boolean isNoAbstractClasses() {
        return noAbstractClasses;
    }


    public StartDialog(Shell parentShell) {
        super(parentShell, 
                "Infer Type Multi Refac", 
                null, 
                "WARNING!!\nYou are about to refactor your WHOLE project!\nAre you absolutely sure you want to do this? (Backup recommended!)",
                INFORMATION,
                new String[] { "OK", "Cancel" }, 1);
        setBlockOnOpen(true);
    }
    

    protected Control createCustomArea(Composite composite) {
        Group group = new Group(composite, SWT.NONE);
        group.setText("Options");
        GridData gridData = new GridData(SWT.FILL, SWT.FILL, true, false);
        gridData.verticalIndent = 8; 
        group.setLayoutData(gridData);
        
        GridLayout gridLayout2 = new GridLayout(1, false);
        gridLayout2.verticalSpacing = 8;
        gridLayout2.marginTop = 3;
        group.setLayout(gridLayout2);
        
        final Button changeTypeArgsButton = new Button(group, SWT.CHECK);
        gridData = new GridData(SWT.LEFT, SWT.TOP, true, false);
        changeTypeArgsButton.setLayoutData(gridData);
        changeTypeArgsButton.setText(" change type arguments if necessary");
        changeTypeArgsButton.setSelection(changeTypeArgs);
        changeTypeArgsButton.addSelectionListener(new SelectionAdapter() {
            public void widgetSelected(SelectionEvent e) {
                changeTypeArgs = changeTypeArgsButton.getSelection();
            }
        });

        final Button noAbstractClassesButton = new Button(group, SWT.CHECK);
        gridData = new GridData(SWT.LEFT, SWT.TOP, true, false);
        noAbstractClassesButton.setLayoutData(gridData);
        noAbstractClassesButton.setText(" don't generate abstract classes");
        noAbstractClassesButton.setSelection(noAbstractClasses);
        noAbstractClassesButton.addSelectionListener(new SelectionAdapter() {
            public void widgetSelected(SelectionEvent e) {
                noAbstractClasses = noAbstractClassesButton.getSelection();
            }
        });

        return composite;
    }


    /**
     * @return
     */
    public boolean checkOpen() {
        return open() == 0;
    }

    protected void buttonPressed(int buttonId) {
        // TODO Auto-generated method stub
        super.buttonPressed(buttonId);
    }    

}
