/*
 * This file belongs to the IntoJ project. See enclosed license file for
 * licensing issues.
 * 
 * For more information, please visit http://www.intoj.org/
 *  
 */
package org.intoJ.inferType3.internal.util;


/**
 * Small log utility class for very basic debug output handling.
 * 
 * @author Hannes Kegel
 *
 */
public class LogUtil {

    private static final boolean DEBUG = false; //Boolean.getBoolean("inferType.debugConstraints");
    private static final boolean DEBUG_2 = false;
    private static final boolean DEBUG_3 = true;

    /**
     * Standard debug log.
     * @param source the source of the output, could be used for filtering
     * @param output the output
     */
    public static void debugOut(Object source, Object output) {
        if (DEBUG) {
            System.out.println(output);
        }
    }

    /**
     * Log at level 2.
     * @param source the source of the output, could be used for filtering
     * @param output the output
     */
    public static void debugOut2(Object source, Object output) {
        if (DEBUG_2) {
            System.out.println(output);
        }
    }

    /**
     * Log at level 3.
     * @param source the source of the output, could be used for filtering
     * @param output the output
     */
    public static void debugOut3(Object source, Object output) {
        if (DEBUG_3) {
            System.out.println(output);
        }
    }
}
